# [Vega-Lite](https://vega.github.io/vega-lite/) 2 BETA

**Announcement:** The `master` branch now hosts ongoing Vega-Lite 2.0 *pre-release* development.
We have migrated Vega-Lite to use the new Vega 3 Beta and D3 v4 and include basic composition and interaction features from [our research publication](http://idl.cs.washington.edu/papers/vega-lite).  However, some composition and interaction features are still under development.

For a more stable version, please use Vega-Lite v1. We have created branch [`1.x`](https://github.com/vega/vega-lite/tree/1.x) as our v1 maintenance branch.

[![Build Status](https://travis-ci.org/vega/vega-lite.svg?branch=master)](https://travis-ci.org/vega/vega-lite)
[![npm dependencies](https://david-dm.org/vega/vega-lite.svg)](https://www.npmjs.com/package/vega-lite)
[![npm version](https://img.shields.io/npm/v/vega-lite.svg)](https://www.npmjs.com/package/vega-lite)

![Teaser](site/static/teaser.png)

Vega-Lite provides a higher-level grammar for visual analysis, akin to ggplot or Tableau, that generates complete [Vega](https://vega.github.io/) specifications.

You can find more details, [documentation](https://vega.github.io/vega-lite/docs/), [examples](https://vega.github.io/vega-lite/examples/), [usage instructions](https://vega.github.io/vega-lite/usage/embed.html), and [tutorials](https://vega.github.io/vega-lite/tutorials/getting_started.html) on the [Vega-Lite website](https://vega.github.io/vega-lite/).

Try using Vega-Lite in the online [Vega Editor](https://vega.github.io/editor/#/custom/vega-lite).

Contributions are also welcome. Please see [CONTRIBUTING.md](CONTRIBUTING.md) for contribution and development guidelines and our [Code of Conduct](https://vega.github.io/vega/about/code-of-conduct/).

## Team

The development of Vega-Lite is led by [Kanit "Ham" Wongsuphasawat](https://twitter.com/kanitw), [Dominik Moritz](https://twitter.com/domoritz), [Arvind Satyanarayan](https://twitter.com/arvindsatya1), and [Jeffrey Heer](https://twitter.com/jeffrey_heer) of the [University Washington Interactive Data Lab](https://idl.cs.washington.edu).
Please see the [contributors page](https://github.com/vega/vega-lite/graphs/contributors) for the full list of contributors.
